MNTDIR="$1"
UPDATEDIR=var/lib/node-eye/update
USERLAND=$(find $MNTDIR/$UPDATEDIR | grep .tar.gz | head -1)
if [ "$USERLAND" ]; then
  find $MNTDIR -depth -path "*$UPDATEDIR*" -prune -o -print | xargs rm -f
  find $MNTDIR -depth -type d | xargs rmdir

  tar --exclude $UPDATEDIR -zxf $USERLAND $UPDATEDIR -C $MNTDIR
  ret=$?

  rm -f $USERLAND
  sync

  if [ $ret -ne 0 ]; then
    /bin/reboot
  fi
fi
